# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(English.pm) perl(FindBin.pm) perl(Test/More.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Perl-Metrics-Simple
Version:        0.17
Release:        alt1_2
Summary:        Count packages, subs, lines, etc. of many files
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Perl-Metrics-Simple/
Source0:        http://www.cpan.org/authors/id/M/MA/MATISSE/Perl-Metrics-Simple-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(Module/Build.pm)
# Run-time:
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Data/Dumper.pm)
BuildRequires:  perl(File/Basename.pm)
BuildRequires:  perl(File/Find.pm)
BuildRequires:  perl(IO/File.pm)
BuildRequires:  perl(PPI.pm)
BuildRequires:  perl(PPI/Document.pm)
BuildRequires:  perl(Readonly.pm)
BuildRequires:  perl(Readonly/XS.pm)
BuildRequires:  perl(Statistics/Basic/Mean.pm)
BuildRequires:  perl(Statistics/Basic/Median.pm)
BuildRequires:  perl(Statistics/Basic/StdDev.pm)
# Tests:
BuildRequires:  perl(File/Spec.pm)
# Optional tests:
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Pod/Coverage.pm)
Requires:   perl(File/Find.pm) >= 1.01
Requires:   perl(IO/File.pm) >= 1.14
Requires:   perl(PPI.pm) >= 1.113
Requires:   perl(Readonly.pm) >= 1.03
Requires:   perl(Readonly/XS.pm) >= 1.02





Source44: import.info
%filter_from_requires /^perl\\(File.Find\\)$/d
%filter_from_requires /^perl\\(IO.File\\)$/d
%filter_from_requires /^perl\\(PPI\\)$/d
%filter_from_requires /^perl\\(Readonly\\)$/d

%description
Perl::Metrics::Simple provides just enough methods to run static analysis
of one or many Perl files and obtain a few metrics: packages, subroutines,
lines of code, and an approximation of cyclomatic (McCabe) complexity for
the subroutines and the "main" portion of the code.

%prep
%setup -q -n Perl-Metrics-Simple-%{version}
sed -i '1 s|^#!.*|#!%{__perl}|' bin/countperl

%build
%{__perl} Build.PL --install_path bindoc=%_man1dir installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes EXAMPLES LICENSE README Todo
%{_bindir}/*
%{perl_vendor_privlib}/*
%{_mandir}/man1/*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.17-alt1_2
- update to new release by fcimport

* Wed Nov 21 2012 Igor Vlasenko <viy@altlinux.ru> 0.17-alt1_1
- update to new release by fcimport

* Sat Nov 10 2012 Igor Vlasenko <viy@altlinux.ru> 0.16-alt1_1
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.15-alt1_7
- update to new release by fcimport

* Mon May 28 2012 Igor Vlasenko <viy@altlinux.ru> 0.15-alt1_5
- fc import

